package com.saye.hrs.service.system;

import com.saye.hrs.model.Role;

import java.util.HashMap;
import java.util.List;

public interface RoleService {

	/**查询角色列表
	 * */
    public List<Role> findRoleList();
    /**多条件查询角色列表
     * */
    public List<Role> searchRole(HashMap<String,String>map);
    /**删除角色
     * */
    public int deleteRole(String roleId);
    
    /**
     * @description 添加权限
     * @author thuang       
     * @created 2019年11月11日 下午4:16:32 
     * @param map
     * @return
     */
    public String addRole(HashMap<String,String> map);
    
    //修改用户角色权限
    public int modifyRoleResource(HashMap<String,String> map);
    
    /**
     * 根据条件查询用户是否在管理员角色权限下
     * @return
     */
	public List<HashMap<Object, Object>> findUserRoleListByParam(HashMap<Object, Object> map) throws Exception;

	/**
	 * @description: 根据用户id查询用户权限
	 * @author thuang
	 * @date 2021/5/24 17:08
	 * @version 1.0
	 */
    List<HashMap<Object,Object>> findUserRoleListByUserId(HashMap<Object, Object> map) throws  Exception;
}
